\documentclass[border=10pt]{standalone}

\usepackage[utf8]{inputenc}
\usepackage[spanish, es-nodecimaldot]{babel}

\usepackage{graphicx}

\usepackage{tikz}

\usepackage{pgfplots}


\begin{document}
	
%	\begin{figure}[htbp]
		\begin{tikzpicture}
		\begin{axis}[
			%
			ymajorgrids,
			ymode=log,
			%
			legend pos = north west,
			%
			width=\textwidth,
			height=6.5cm,
			%
			ylabel=Número de transistores,
			xlabel=Año,
			%
			%							enlarge y limits={upper,value=0.12},
			%
%			nodes near coords,
			every node near coord/.append style={rotate=90, anchor=west},
			%
%			xtick=data,
%			xticklabel style={
%				/pgf/number format/fixed,
%				/pgf/number format/precision=5
%			},
			scaled x ticks=true
		]
		
%		\addplot [domain=1970:2007] {2^(x/24)};

		\addplot coordinates {
			(1971,2300)		% Intel 4004
			(2005,180000000)% Intel Pentium 4
		};
	
%		\addplot [
%			nodes near coords, % Place nodes near each coordinate
%			point meta=explicit symbolic, % The meta data used in the nodes is not explicitly provided and not numeric
%		] table [meta index = 2] {
%			x		y			label
%			1971	2300		Intel-4004
%			1974	4500		Intel-8080
%			1979	29000		Intel-8088
%			1982	134000		Intel-286
%			1985	275000		Intel-386
%			1989	1200000		Intel-486
%			1993	3100000		Intel-Pentium
%			1997	7500000		Intel-Pentium-II
%			2000	42000000	Intel-Pentium-4
%			2005	291000000	Intel-Itanium-2
%		};
		
		\addplot coordinates {
			(1971,2300)		[label = Intel 4004] % Intel 4004
			(1974,4500)		% Intel 8080
			(1979,29000)	% Intel 8088
			(1982,134000)	% Intel 286
			(1985,275000)	% Intel 386
			(1989,1200000)	% Intel 486
			(1993,3100000)	% Intel Pentium
			(1997,7500000)	% Intel Pentium II
			(2000,42000000)	% Intel Pentium 4
			(2005,291000000)% Intel Pentium 4
		};
		
		\legend{Ley de Moore, Evolución Intel}
		
		\end{axis}
		\end{tikzpicture}
%	\end{figure}

\end{document}
